Name: pyserial
Version: 3.5
Release: 4
Summary: Python serial port access library.
License: BSD-3-Clause
URL: https://github.com/pyserial/pyserial
Source0: https://github.com/%{name}/%{name}/archive/v3.5.tar.gz

BuildRequires: python3-devel

Obsoletes: pyserial < %{version}-%{release}
Provides: pyserial%{?_isa} = %{version}-%{release}

BuildArch: noarch

%description
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, OSX, Linux,BSD (possibly any POSIX compliant system)
and IronPython. The module named "serial" automatically selects the appropriate backend.

%package -n python3-%{name}
Summary: Python3 serial port access library.

%description -n python3-%{name}
This module encapsulates the access for the serial port. It provides
backends for Python3 running on Windows, OSX, Linux,BSD (possibly any POSIX compliant system)
and IronPython. The module named "serial" automatical

%prep
export UNZIP="-aa"
%setup -q
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd

%install
rm -rf %{buildroot}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%check
%{__python3} test/run_all_tests.py

%pre

%preun

%post

%postun

%files -n python3-%{name}
%doc CHANGES.rst README.rst examples
%license LICENSE.txt
%{_bindir}/pyserial*
%{python3_sitelib}/*

%changelog
* Sat Apr 15 2023 shixuantong <shixuantong1@huawei.com> - 3.5-4
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:remove useless empty file

* Wed Dec 21 2022 zhuofeng <zhuofeng2@huawei.com> -  3.5-3
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:make the test check

* Mon Aug 8 2022 wenzhiwei <wenzhiwei@kylinos.cn> - 3.5-2
- License compliance rectification

* Tue Feb 2 2021 wangjie<wangjie294@huawei.com> -3.5-1
- upgrade 3.5-1

* Fri Oct 30 2020 wangjie<wangjie294@huawei.com> -3.4-4
- Type:NA
- ID:NA
- SUG:NA
- DESC:remove python2

* Tue Mar 31 2020 kangenbo <kangenbo@huawei.com> - 3.4-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:fix symbolic link

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.4-2
- Package rebuild.

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.4-1
- Package init.
